package com.pcloud.common.core.enums;

/**
 * @描述：
 * @作者：songx
 * @创建时间：2017年10月31日,下午7:25:00
 * @版本：1.0
 */
public enum ProductTypeEnum {

	COMMON("COMMON"),	// 普通实体商品
	AUDIO("AUDIO"),		// 音频
	VIDEO("VIDEO"),		// 视频
	PDF("PDF"),			// PDF
	ALBUM("ALBUM"),		// 相册
	QA("QA"),			// 问答
	QANEWS("QANEWS"),	// 问答资讯
	BOOK("BOOK"),		// 书籍
	EBOOK("EBOOK"),		// 电子书
	MATCH("MATCH"),		// 报名
	NUMBER("NUMBER"),	// 序列号
	MEMBER("MEMBER"),	// 会员
	PRETEST("PRETEST"),	// 题库
	VIRTUAL("VIRTUAL"), // 普通虚拟商品
	LOOK("LOOK"),		// 看一看商品
	LIVE("LIVE"),		// 直播商品
	REVIEW("REVIEW"),	// 专家审稿
	TOOL("TOOL"),		// 工具商品
	TUTOR("TUTOR"),		// 一对一辅导
	GROUP("GROUP"),		// 圈子商品
	QS("QS"),			// 服务商品
	WORD("WORD"),		// 背单词商品
	ARTICLE("ARTICLE"),	// 文章资源
	FORMAT("FORMAT");	// 多媒体

	/**
	 * 值
	 */
	public final String value;

	/**
	 * 构造
	 * 
	 * @param value
	 */
	private ProductTypeEnum(String value) {
		this.value = value;
	}

}
